%define name filezilla
%define version 3.19.0
%define release %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        FileZilla is a fast and reliable FTP client
Group:          Networking/File transfer
License:        GPL 
URL:            http://filezilla.sourceforge.net/
Source0:        %{name}-%{version}.tar.xz
Patch0:		wxstring-conversions-fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
#---------------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}filezilla-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gnutls-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}idn-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}wxgtku3.0-devel
BuildRequires:	ImageMagick
BuildRequires:	gettext-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libtinyxml-devel
#---------------------------------------------
Obsoletes:	%name < %version
Requires: %{_lib}wxgtku3.0_0
Requires: wxgtk >= 3.0.2
BuildConflicts: %{_lib}wxgtku2.8-devel

%description
FileZilla is a fast and reliable FTP client and server with lots 
of useful features and an intuitive interface

#german
%description -l de
Filezilla ist ein schneller, zuverlässiger FTP Klient und Server mit 
einer Menge von nützlichen Eigenschaften und einer intuitiven Benutzeroberfläche.


%prep
%setup -q
#%apply_patches

%build

%configure2_5x \
  --disable-autoupdatecheck \
--with-tinyxml=builtin \
--with-pugixml=builtin



%make 

%install
rm -rf %buildroot
%makeinstall_std

mkdir -p %{buildroot}/%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
cp src/interface/resources/16x16/filezilla.png %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/filezilla.png
cp src/interface/resources/32x32/filezilla.png %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/filezilla.png
cp src/interface/resources/48x48/filezilla.png %{buildroot}/%{_iconsdir}/hicolor/48x48/apps/filezilla.png

#Menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-FileTransfer" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
rm -rf %{_datadir}/filezilla

%post
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%{clean_desktop_database}
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_bindir}/fzsftp
%{_bindir}/fzputtygen
%dir %{_datadir}/%{name}
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/apps/filezilla.*
%{_datadir}/applications/filezilla.desktop
%{_datadir}/pixmaps/filezilla.png
%{_mandir}/man1/filezilla.1.*
%{_mandir}/man1/fzsftp.1.*
%{_mandir}/man1/fzputtygen.1.bz2
%{_mandir}/man5/fzdefaults.xml.5.*
%{_datadir}/appdata/filezilla.appdata.xml

%changelog
* Wed Jun 29 2016 bb <bb> 3.19.0-1pclos2016
- update

* Sun May 29 2016 bb <bb> 3.18.0-1pclos2016
- update

* Wed May 11 2016 bb <bb> 3.17.0.1-1pclos2016
- update


